//Copyright (C)2014-2023 GOWIN Semiconductor Corporation.
//All rights reserved.
//File Title: Timing Constraints file
//GOWIN Version: V1.9.9 Beta-6
//Created Time: 2023-10-24 10:37:48
create_clock -name dma_clk -period 13.333 -waveform {0 6.667} [get_nets {dma_clk}] -add
create_clock -name I_clk -period 20 -waveform {0 10} [get_ports {I_clk}] -add
create_clock -name memory_clk -period 3.333 -waveform {0 1.667} [get_nets {memory_clk}] -add
create_clock -name O_adv7513_clk -period 9.259 -waveform {0 4.63} [get_ports {O_adv7513_clk}] -add
set_clock_groups -exclusive -group [get_clocks {dma_clk}] -group [get_clocks {I_clk}] -group [get_clocks {memory_clk}]
set_false_path -from [get_clocks {O_adv7513_clk}] -to [get_clocks {dma_clk}] 
set_false_path -from [get_clocks {dma_clk}] -to [get_clocks {O_adv7513_clk}] 
