//Copyright (C)2014-2023 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//GOWIN Version: V1.9.9 Beta-6
//Part Number: GW2A-LV18PG484C8/I7
//Device: GW2A-18
//Device Version: C
//Created Time: Tue Oct 24 11:15:04 2023

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

	Scaler_Top your_instance_name(
		.I_reset(I_reset_i), //input I_reset
		.I_sysclk(I_sysclk_i), //input I_sysclk
		.I_param_update(I_param_update_i), //input I_param_update
		.I_vin_hsize(I_vin_hsize_i), //input [12:0] I_vin_hsize
		.I_vin_vsize(I_vin_vsize_i), //input [12:0] I_vin_vsize
		.I_vout_hsize(I_vout_hsize_i), //input [12:0] I_vout_hsize
		.I_vout_vsize(I_vout_vsize_i), //input [12:0] I_vout_vsize
		.I_hor_skfactor(I_hor_skfactor_i), //input [23:0] I_hor_skfactor
		.I_ver_skfactor(I_ver_skfactor_i), //input [23:0] I_ver_skfactor
		.I_vin_clk(I_vin_clk_i), //input I_vin_clk
		.I_vin_ref_vs(I_vin_ref_vs_i), //input I_vin_ref_vs
		.I_vin_ref_de(I_vin_ref_de_i), //input I_vin_ref_de
		.O_vin_vs_req(O_vin_vs_req_o), //output O_vin_vs_req
		.O_vin_de_req(O_vin_de_req_o), //output O_vin_de_req
		.I_buff_ready(I_buff_ready_i), //input I_buff_ready
		.I_up_down_sel(I_up_down_sel_i), //input I_up_down_sel
		.I_vin_de_cpl(I_vin_de_cpl_i), //input I_vin_de_cpl
		.I_vin_data0_cpl(I_vin_data0_cpl_i), //input [7:0] I_vin_data0_cpl
		.I_vin_data1_cpl(I_vin_data1_cpl_i), //input [7:0] I_vin_data1_cpl
		.I_vin_data2_cpl(I_vin_data2_cpl_i), //input [7:0] I_vin_data2_cpl
		.O_vout0_data(O_vout0_data_o), //output [7:0] O_vout0_data
		.O_vout1_data(O_vout1_data_o), //output [7:0] O_vout1_data
		.O_vout2_data(O_vout2_data_o), //output [7:0] O_vout2_data
		.O_vout_vs(O_vout_vs_o), //output O_vout_vs
		.O_vout_de(O_vout_de_o) //output O_vout_de
	);

//--------Copy end-------------------
